<?php include_once('../mapcfg.php');?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<?php echo ("<title>$D2campname IRC Chat</title>");?>
<?php 
echo ("<link rel=stylesheet href=../");
echo $cssloc;
echo (" type=text/css>");
?>

</head>

<body>
<center>
<br><br>
<applet code=IRCApplet.class archive="irc.jar,pixx.jar" width=640 height=460>
<param name="CABINETS" value="irc.cab,securedirc.cab,pixx.cab">
<?php 
if($user_info['is_guest']) {
	echo ("<param name=\"nick\" value=\"Webmap???\">");
} else {
	echo ("<param name=\"nick\" value=\"");
	echo $context['user']['name'];
	echo ("\">");
}
?>

<param name="fullname" value="Java User">
<?php echo ("<param name=\"host\" value=\"$d2IRCserver\">");?>

<?php echo ("<param name=\"port\" value=\"$d2IRCserverport\">");?>

<param name="gui" value="pixx">
<?php
echo ("<param name=\"command1\" value=\"/join $d2IRCGenChan\">");
?>

<param name="pixx:showabout" value="false">
<param name="pixx:showhelp" value="false">
<param name="pixx:showdock" value="false">
<param name="pixx:showclose" value="true">
<param name="pixx:styleselector" value="false">
<param name="pixx:setfontonstyle" value="false">
<param name="pixx:showchanlist" value="false">
<param name="pixx:showstatus" value="true">
<param name="pixx:color1" value="FFCC33">
<param name="pixx:color5" value="666666">
<param name="pixx:color6" value="333333">
<param name="pixx:color7" value="242424">
<param name="pixx:color9" value="666666">
<param name="pixx:color11" value="666666">
<param name="pixx:color12" value="666666">
<param name="pixx:color13" value="666666">
<param name="pixx:color14" value="666666">
<param name="pixx:color15" value="666666">
<param name="style:sourcecolorrule1" value="none+Channel+Status+ChanList+Query all 0=000000 1=FFFFFF">
</applet>
</center>
</body>
</html>
